<?xml version="1.0" encoding="UTF-8"?>
<!--
Schematron
Generated by CoreFiling: generator revision 537866
Thu Aug 15 14:25:02 BST 2019
-->
<sch:schema xmlns:sch="http://purl.oclc.org/dsdl/schematron" queryBinding="exslt">
  <sch:title>Schematron for EarlierYearUpdate</sch:title>
  <sch:ns prefix="hd" uri="http://www.govtalk.gov.uk/CM/envelope"/>
  <sch:ns prefix="dsig" uri="http://www.w3.org/2000/09/xmldsig#"/>
  <sch:ns prefix="eyu" uri="http://www.govtalk.gov.uk/taxation/PAYE/RTI/EarlierYearUpdate/19-20/1"/>
    <sch:pattern id="p18">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/eyu:IRenvelope/eyu:IRheader/eyu:Keys/eyu:Key">
        <sch:assert test="count(../../../../../hd:GovTalkDetails/hd:Keys/hd:Key[@Type = current()/@Type and . = current()]) &gt; 0" id="a_r1004" diagnostics="errorCode.r1004 transactional.r1004 transactional.en.r1004 ">Keys in the IR header must also exist in the GovTalk header with the same value</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p17">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/eyu:IRenvelope/eyu:IRheader">
        <sch:assert test="count(eyu:Keys/eyu:Key) &gt; 0" id="a_r1005" diagnostics="errorCode.r1005 transactional.r1005 transactional.en.r1005 ">At least one key must exist in the IRheader</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p20">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/eyu:IRenvelope/eyu:EarlierYearUpdate/eyu:EmpRefs/eyu:OfficeNo">
        <sch:assert test="../../../eyu:IRheader/eyu:Keys/eyu:Key[@Type = &apos;TaxOfficeNumber&apos;] = ." id="a_HMRCOFFICENUMBER.0" diagnostics="errorCode.HMRCOFFICENUMBER.0 transactional.HMRCOFFICENUMBER.0 transactional.en.HMRCOFFICENUMBER.0 ">The TaxOfficeNumber key within the IRheader must match [HMRCOFFICENUMBER]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p21">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/eyu:IRenvelope/eyu:EarlierYearUpdate/eyu:EmpRefs/eyu:PayeRef">
        <sch:assert test="../../../eyu:IRheader/eyu:Keys/eyu:Key[@Type = &apos;TaxOfficeReference&apos;] = ." id="a_EMPLOYERPAYEREF.0" diagnostics="errorCode.EMPLOYERPAYEREF.0 transactional.EMPLOYERPAYEREF.0 transactional.en.EMPLOYERPAYEREF.0 ">The TaxOfficeReference key within the IRheader must match [EMPLOYERPAYEREF]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p22">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/eyu:IRenvelope/eyu:EarlierYearUpdate/eyu:RelatedTaxYear">
        <sch:assert test="substring(string(2020 - 1), 3, 2) = substring(., 1, 2)
          and
            substring(2020, 3, 2) = substring(., 4, 2)" id="a_RELATEDTAXYEAR.0" diagnostics="errorCode.RELATEDTAXYEAR.0 transactional.RELATEDTAXYEAR.0 transactional.en.RELATEDTAXYEAR.0 ">Must be the appropriate tax year for the schema year. I.E. 19-20 for RTI-2020</sch:assert>
        <sch:assert test="(round(date:seconds(normalize-space(concat(2000 + number(substring(.,1,2)), &apos;-04-06&apos;))) div 86400) &lt;= round(date:seconds(normalize-space(../../eyu:IRheader/eyu:PeriodEnd)) div 86400))
        and
          (round(date:seconds(normalize-space(../../eyu:IRheader/eyu:PeriodEnd)) div 86400) &lt;= round(date:seconds(normalize-space(concat(2001 + number(substring(.,1,2)), &apos;-04-05&apos;))) div 86400))" id="a_RELATEDTAXYEAR.2" diagnostics="errorCode.RELATEDTAXYEAR.2 transactional.RELATEDTAXYEAR.2 transactional.en.RELATEDTAXYEAR.2 ">The PeriodEnd within the IRheader must be within the same tax year as [RELATEDTAXYEAR].</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p25">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/eyu:IRenvelope/eyu:EarlierYearUpdate/eyu:Employee/eyu:EmployeeDetails/eyu:Address/eyu:ForeignCountry">
        <sch:assert test="(count(../eyu:Line)) &gt;= 2" id="a_FOREIGNCOUNTRY.0" diagnostics="errorCode.FOREIGNCOUNTRY.0 transactional.FOREIGNCOUNTRY.0 transactional.en.FOREIGNCOUNTRY.0 ">If [FOREIGNCOUNTRY] is present, at least two [ADDRESSLINE] should be present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p26">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/eyu:IRenvelope/eyu:EarlierYearUpdate/eyu:Employee/eyu:EmployeeDetails/eyu:BirthDate">
        <sch:assert test="(round(date:seconds(normalize-space((.))) div 86400) &lt;= round(date:seconds(normalize-space(date:date())) div 86400))" id="a_BirthDateType.1" diagnostics="errorCode.BirthDateType.1 transactional.BirthDateType.1 transactional.en.BirthDateType.1 ">The Date of Birth must be today or earlier.</sch:assert>
        <sch:assert test="(round(date:seconds(normalize-space(date:add(normalize-space(date:date()),normalize-space(&quot;-P130Y&quot;)))) div 86400) &lt; round(date:seconds(normalize-space((.))) div 86400))" id="a_DATEOFBIRTH.0" diagnostics="errorCode.DATEOFBIRTH.0 transactional.DATEOFBIRTH.0 transactional.en.DATEOFBIRTH.0 ">Must be later than 130 years before today</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p27">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/eyu:IRenvelope/eyu:EarlierYearUpdate/eyu:Employee/eyu:EmployeeDetails/eyu:PartnerDetails">
        <sch:assert test="(eyu:Name/eyu:Initials or eyu:Name/eyu:Fore)" id="a_SHPP.0" diagnostics="errorCode.SHPP.0 transactional.SHPP.0 transactional.en.SHPP.0 ">[PARTNERFORENAME] should be present if [PARTNERINITIALS] is absent</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p24">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/eyu:IRenvelope/eyu:EarlierYearUpdate/eyu:Employee/eyu:EmployeeDetails">
        <sch:assert test="eyu:NINO
            or
              count(eyu:Address/eyu:Line) &gt;= 2" id="a_EMPLOYEE.0" diagnostics="errorCode.EMPLOYEE.0 transactional.EMPLOYEE.0 transactional.en.EMPLOYEE.0 ">At least two [ADDRESSLINE] should be present if not ( [NINO] is present )</sch:assert>
        <sch:assert test="eyu:Name/eyu:Fore or eyu:Name/eyu:Initials" id="a_EMPLOYEE.1" diagnostics="errorCode.EMPLOYEE.1 transactional.EMPLOYEE.1 transactional.en.EMPLOYEE.1 ">At least one of [FORENAME] and [INITIALS] must be present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p29">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/eyu:IRenvelope/eyu:EarlierYearUpdate/eyu:Employee/eyu:Employment/eyu:Starter/eyu:StartDate">
        <sch:assert test="(round(date:seconds(normalize-space(.)) div 86400) &lt;= round(date:seconds(normalize-space(date:add(normalize-space(date:date()),normalize-space(&quot;P30D&quot;)))) div 86400))" id="a_STARTDATE.0" diagnostics="errorCode.STARTDATE.0 transactional.STARTDATE.0 transactional.en.STARTDATE.0 ">[STARTDATE] must be no later than current date plus 30 days (i.e. Also any date in the past allowed)</sch:assert>
        <sch:assert test="not((.))
          or
            (count(../../../eyu:EmployeeDetails/eyu:Address/eyu:Line)) &gt;= 2" id="a_STARTDATE.1" diagnostics="errorCode.STARTDATE.1 transactional.STARTDATE.1 transactional.en.STARTDATE.1 ">At least two [ADDRESSLINE]s should be present if [STARTDATE] is present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p31">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/eyu:IRenvelope/eyu:EarlierYearUpdate/eyu:Employee/eyu:Employment/eyu:Starter/eyu:Seconded/eyu:EEACitizen">
        <sch:assert test="../eyu:StayLessThan183Days
            or
          ../eyu:Stay183DaysOrMore
            or
          ../eyu:InOutUK" id="a_EEACOMMONWEALTHCITIZEN.0" diagnostics="errorCode.EEACOMMONWEALTHCITIZEN.0 transactional.EEACOMMONWEALTHCITIZEN.0 transactional.en.EEACOMMONWEALTHCITIZEN.0 ">If [EEACITIZEN] is present the following should be true: [INTENDTOSTAYLESSTHAN183DAYS] is present or [INTENDTOSTAYOVER183DAYS] is present or [INTENDTOWORKBOTHINANDOUTOFUK] is present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p30">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/eyu:IRenvelope/eyu:EarlierYearUpdate/eyu:Employee/eyu:Employment/eyu:Starter/eyu:Seconded">
        <sch:assert test="eyu:Stay183DaysOrMore or eyu:StayLessThan183Days or eyu:InOutUK or eyu:EPM6" id="a_INDIVIDUALSECONDEDTOWORKINUK.0" diagnostics="errorCode.INDIVIDUALSECONDEDTOWORKINUK.0 transactional.INDIVIDUALSECONDEDTOWORKINUK.0 transactional.en.INDIVIDUALSECONDEDTOWORKINUK.0 "> If [INDIVIDUALSECONDEDTOWORKINUK] is present, at least one of [INTENDTOSTAYOVER183DAYS], [INTENDTOSTAYLESSTHAN183DAYS], [INTENDTOWORKBOTHINANDOUTOFUK] or [EPM6SCHEME] should be present </sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p32">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/eyu:IRenvelope/eyu:EarlierYearUpdate/eyu:Employee/eyu:Employment/eyu:LeavingDate">
        <sch:assert test="(round(date:seconds(normalize-space(.)) div 86400) &lt;= round(date:seconds(normalize-space(date:add(normalize-space(date:date()),normalize-space(&apos;P30D&apos;)))) div 86400))" id="a_LEAVINGDATE.2" diagnostics="errorCode.LEAVINGDATE.2 transactional.LEAVINGDATE.2 transactional.en.LEAVINGDATE.2 ">[LEAVINGDATE] must not be later than thirty days after today</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p33">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/eyu:IRenvelope/eyu:EarlierYearUpdate/eyu:Employee/eyu:Employment/eyu:Payment/eyu:SMP">
        <sch:assert test="../../../eyu:EmployeeDetails/eyu:Gender = &apos;F&apos;" id="a_STATUTORYMATERNITYPAY-EYU.0" diagnostics="errorCode.STATUTORYMATERNITYPAY-EYU.0 transactional.STATUTORYMATERNITYPAY-EYU.0 transactional.en.STATUTORYMATERNITYPAY-EYU.0 ">If [STATUTORYMATERNITYPAY-EYU] is present the following should be true: [GENDER] equals F</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p34">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/eyu:IRenvelope/eyu:EarlierYearUpdate/eyu:Employee/eyu:Employment/eyu:Payment/eyu:TrivialCommutationPayment">
        <sch:assert test="count(../eyu:TrivialCommutationPayment/@type[. = current()/@type]) &lt;= 1" id="a_TRIVIALCOMMUTATIONPAYMENT.0" diagnostics="errorCode.TRIVIALCOMMUTATIONPAYMENT.0 transactional.TRIVIALCOMMUTATIONPAYMENT.0 transactional.en.TRIVIALCOMMUTATIONPAYMENT.0 ">[TRIVIALCOMMUTATIONPAYMENTTYPE] should be unique within each [PAYMENT]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p35">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/eyu:IRenvelope/eyu:EarlierYearUpdate/eyu:Employee/eyu:Employment/eyu:Payment/eyu:FlexibleDrawdown">
        <sch:assert test="eyu:FlexiblyAccessingPensionRights or eyu:PensionDeathBenefit or eyu:SeriousIllHealthLumpSum" id="a_FLEXIBLEDRAWDOWN.0" diagnostics="errorCode.FLEXIBLEDRAWDOWN.0 transactional.FLEXIBLEDRAWDOWN.0 transactional.en.FLEXIBLEDRAWDOWN.0 ">If [FLEXIBLEDRAWDOWN] is present the following should be true: [FLEXIBLYACCESSINGPENSIONRIGHTS] is present or [PENSIONDEATHBENEFIT] is present or [SERIOUSILLHEALTHSUM] is present</sch:assert>
        <sch:assert test="eyu:TaxablePayment or eyu:NontaxablePayment" id="a_FLEXIBLEDRAWDOWN.1" diagnostics="errorCode.FLEXIBLEDRAWDOWN.1 transactional.FLEXIBLEDRAWDOWN.1 transactional.en.FLEXIBLEDRAWDOWN.1 ">If [FLEXIBLEDRAWDOWN] is present the following should be true: [TAXABLEPAYMENT] is present or [NONTAXABLEPAYMENT] is present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p36">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/eyu:IRenvelope/eyu:EarlierYearUpdate/eyu:Employee/eyu:Employment/eyu:NIlettersAndValues/eyu:NIletter">
        <sch:assert test="not (../../../eyu:EmployeeDetails/eyu:Gender = &apos;M&apos;)
              or
              not ( (. = &apos;B&apos;) or (. = &apos;T&apos;) )" id="a_NILETTER-EYU.0" diagnostics="errorCode.NILETTER-EYU.0 transactional.NILETTER-EYU.0 transactional.en.NILETTER-EYU.0 ">If [GENDER] is 'M', [NILETTER] cannot equal 'B' or 'T'</sch:assert>
        <sch:assert test="count(../../eyu:NIlettersAndValues/eyu:NIletter[. = current()]) = 1" id="a_NILETTER-EYU.1" diagnostics="errorCode.NILETTER-EYU.1 transactional.NILETTER-EYU.1 transactional.en.NILETTER-EYU.1 ">[NILETTER] must be unique within each occurrence of the [EMPLOYMENT] group</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p37">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/eyu:IRenvelope/eyu:EarlierYearUpdate/eyu:Employee/eyu:Employment/eyu:NIlettersAndValues/eyu:AtLEL">
        <sch:assert test="not (../eyu:NIletter = &apos;X&apos;)
              or
            . = 0" id="a_AT-LEL-EYU.0" diagnostics="errorCode.AT-LEL-EYU.0 transactional.AT-LEL-EYU.0 transactional.en.AT-LEL-EYU.0 ">[Earnings at LEL] must be zero if [NILETTER] is 'X'</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p38">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/eyu:IRenvelope/eyu:EarlierYearUpdate/eyu:Employee/eyu:Employment/eyu:NIlettersAndValues/eyu:LELtoPT">
        <sch:assert test="not (../eyu:NIletter = &apos;X&apos;)
              or
            . = 0" id="a_LEL-TO-PT-EYU.1" diagnostics="errorCode.LEL-TO-PT-EYU.1 transactional.LEL-TO-PT-EYU.1 transactional.en.LEL-TO-PT-EYU.1 ">[Earnings above LEL to PT] must be zero if [NILETTER] is 'X'</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p39">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/eyu:IRenvelope/eyu:EarlierYearUpdate/eyu:Employee/eyu:Employment/eyu:NIlettersAndValues/eyu:PTtoUEL">
        <sch:assert test="not (../eyu:NIletter = &apos;X&apos;)
            or
              . = 0" id="a_PT-TO-UEL-EYU.1" diagnostics="errorCode.PT-TO-UEL-EYU.1 transactional.PT-TO-UEL-EYU.1 transactional.en.PT-TO-UEL-EYU.1 ">[Earnings above PT up to UEL] must be zero if [NILETTER] is 'X'</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p40">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/eyu:IRenvelope/eyu:EarlierYearUpdate/eyu:Employee/eyu:Employment/eyu:NIlettersAndValues/eyu:TotalEmpNIC">
        <sch:assert test="not(../eyu:NIletter = &apos;X&apos;) or . = 0" id="a_TOTALEMPLOYERNICONTRIBUTIONS-EYU.1" diagnostics="errorCode.TOTALEMPLOYERNICONTRIBUTIONS-EYU.1 transactional.TOTALEMPLOYERNICONTRIBUTIONS-EYU.1 transactional.en.TOTALEMPLOYERNICONTRIBUTIONS-EYU.1 ">This must be 0.00 if [NILETTER] is 'X'.</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p41">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/eyu:IRenvelope/eyu:EarlierYearUpdate/eyu:Employee/eyu:Employment/eyu:NIlettersAndValues/eyu:EmpeeContribns">
        <sch:assert test="not(../eyu:NIletter = &apos;X&apos; or ../eyu:NIletter = &apos;C&apos; or ../eyu:NIletter = &apos;W&apos;) or . = 0" id="a_EMPLOYEESCONTRIBUTIONSONALLEARNINGS-EYU.1" diagnostics="errorCode.EMPLOYEESCONTRIBUTIONSONALLEARNINGS-EYU.1 transactional.EMPLOYEESCONTRIBUTIONSONALLEARNINGS-EYU.1 transactional.en.EMPLOYEESCONTRIBUTIONSONALLEARNINGS-EYU.1 ">This must be 0.00 if [NILETTER] is 'X', 'C', or 'W'.</sch:assert>
        <sch:assert test="(.) &gt;= 0
              or 
            ../eyu:NICRefund" id="a_EMPLOYEESCONTRIBUTIONSONALLEARNINGS-EYU.0" diagnostics="errorCode.EMPLOYEESCONTRIBUTIONSONALLEARNINGS-EYU.0 transactional.EMPLOYEESCONTRIBUTIONSONALLEARNINGS-EYU.0 transactional.en.EMPLOYEESCONTRIBUTIONSONALLEARNINGS-EYU.0 ">[NICREFUND] should be present if [EMPLOYEESCONTRIBUTIONSONALLEARNINGSYEARTODATE] is less than 0</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p42">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/eyu:IRenvelope/eyu:EarlierYearUpdate/eyu:Employee/eyu:Employment/eyu:NIlettersAndValues/eyu:NICRefund">
        <sch:assert test="../eyu:EmpeeContribns &lt; 0" id="a_NICREFUND.0" diagnostics="errorCode.NICREFUND.0 transactional.NICREFUND.0 transactional.en.NICREFUND.0 ">[NICREFUND] should not be present if [EMPLOYEESCONTRIBUTIONSONALLEARNINGSYEARTODATE] is not less than 0</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p28">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/eyu:IRenvelope/eyu:EarlierYearUpdate/eyu:Employee/eyu:Employment">
        <sch:assert test="not (eyu:Starter/eyu:StartDate)
                or
                  eyu:Starter/eyu:StartDec
                or
                  eyu:Starter/eyu:Seconded/eyu:Stay183DaysOrMore
                or
                  eyu:Starter/eyu:Seconded/eyu:StayLessThan183Days
                or
                  eyu:Starter/eyu:Seconded/eyu:InOutUK
                or
                  eyu:Starter/eyu:OccPension/eyu:Amount &gt; 0" id="a_EMPLOYMENT.EYU.0" diagnostics="errorCode.EMPLOYMENT.EYU.0 transactional.EMPLOYMENT.EYU.0 transactional.en.EMPLOYMENT.EYU.0 ">If [STARTDATE] is present, at least one of [STARTINGDECLARATION], [INTENDTOSTAYOVER183DAYS], [INTENDTOSTAYLESSTHAN183DAYS], [INTENDTOWORKBOTHINANDOUTOFUK] must be present or [ANNUALAMOUNTOFPENSION] must be greater than zero</sch:assert>
        <sch:assert test="not (
                    eyu:Starter/eyu:OccPension/eyu:Amount
                  and
                    eyu:Starter/eyu:StartDec
                )" id="a_STARTINGDECLARATION.EYU.0" diagnostics="errorCode.STARTINGDECLARATION.EYU.0 transactional.STARTINGDECLARATION.EYU.0 transactional.en.STARTINGDECLARATION.EYU.0 ">[STARTINGDECLARATION] is prohibited if [ANNUALAMOUNTOFPENSION] is present</sch:assert>
        <sch:assert test="not (
                    eyu:Starter/eyu:Seconded/eyu:Stay183DaysOrMore
                  or
                    eyu:Starter/eyu:Seconded/eyu:StayLessThan183Days
                  or
                    eyu:Starter/eyu:Seconded/eyu:InOutUK
                )
                or
                not (
                  eyu:Starter/eyu:StartDec
                )" id="a_STARTINGDECLARATION.EYU.1" diagnostics="errorCode.STARTINGDECLARATION.EYU.1 transactional.STARTINGDECLARATION.EYU.1 transactional.en.STARTINGDECLARATION.EYU.1 ">[STARTINGDECLARATION] is prohibited if any of [INTENDTOSTAYOVER183DAYS], [INTENDTOSTAYLESSTHAN183DAYS], [INTENDTOWORKBOTHINANDOUTOFUK] are present.</sch:assert>
        <sch:assert test="(
                    eyu:Starter/eyu:OccPension/eyu:Amount
                )
                  or
                (
                    eyu:Starter/eyu:Seconded/eyu:Stay183DaysOrMore
                  or
                    eyu:Starter/eyu:Seconded/eyu:StayLessThan183Days
                  or
                    eyu:Starter/eyu:Seconded/eyu:InOutUK
                )
                or not (
                    eyu:Starter/eyu:StartDate
                )
                or
                    eyu:Starter/eyu:StartDec" id="a_STARTINGDECLARATION.EYU.2" diagnostics="errorCode.STARTINGDECLARATION.EYU.2 transactional.STARTINGDECLARATION.EYU.2 transactional.en.STARTINGDECLARATION.EYU.2 ">[STARTINGDECLARATION] is mandatory if [STARTDATE] is present, unless any of [INTENDTOSTAYOVER183DAYS], [INTENDTOSTAYLESSTHAN183DAYS], [INTENDTOWORKBOTHINANDOUTOFUK] are present, or [ANNUALAMOUNTOFPENSION] is present.</sch:assert>
        <sch:assert test="not ( eyu:Starter )
              or
                eyu:Starter/eyu:StartDate
              or
                eyu:Starter/eyu:StartDec
              or
                eyu:Starter/eyu:StudentLoan
              or
                eyu:Starter/eyu:PostgradLoan
              or
                eyu:Starter/eyu:Seconded
              or
                eyu:Starter/eyu:OccPension" id="a_STARTERINFORMATION.EYU.0" diagnostics="errorCode.STARTERINFORMATION.EYU.0 transactional.STARTERINFORMATION.EYU.0 transactional.en.STARTERINFORMATION.EYU.0 ">If [STARTERINFORMATION] is present then [STARTDATE], [STARTINGDECLARATION], [HASSTUDENTLOAN], [HASPOSTGRADUATELOAN], [INDIVIDUALSECONDEDTOWORKINUK] or [PENSIONSTART] should be present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p23">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/eyu:IRenvelope/eyu:EarlierYearUpdate/eyu:Employee">
        <sch:assert test="not ( eyu:EmployeeDetails/eyu:PartnerDetails )
              or
                eyu:Employment/eyu:Payment/eyu:ShPP" id="a_PARTNERDETAILS.EYU.0" diagnostics="errorCode.PARTNERDETAILS.EYU.0 transactional.PARTNERDETAILS.EYU.0 transactional.en.PARTNERDETAILS.EYU.0 ">If [PARTNERDETAILS] is present then [SHAREDPARENTALPAY-EYU] must be present</sch:assert>
        <sch:assert test="eyu:Employment/eyu:PaymentToANonIndividual
                or
              eyu:EmployeeDetails/eyu:BirthDate" id="a_EMPLOYEE.EYU.1" diagnostics="errorCode.EMPLOYEE.EYU.1 transactional.EMPLOYEE.EYU.1 transactional.en.EMPLOYEE.EYU.1 ">[DATEOFBIRTH] is mandatory if [PAYMENTTOANONINDIVIDUAL] is absent.</sch:assert>
        <sch:assert test="not ( eyu:EmployeeDetails/eyu:Address )
              or
                eyu:EmployeeDetails/eyu:Address/eyu:Line
              or
                eyu:EmployeeDetails/eyu:Address/eyu:UKPostcode" id="a_ADDRESS.EYU.0" diagnostics="errorCode.ADDRESS.EYU.0 transactional.ADDRESS.EYU.0 transactional.en.ADDRESS.EYU.0 ">If [ADDRESS] is present then [ADDRESSLINE] or [POSTCODE] should be present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p19">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/eyu:IRenvelope/eyu:EarlierYearUpdate">
        <sch:assert test="../../../hd:Header/hd:MessageDetails/hd:Class = &apos;HMRC-PAYE-RTI-EYU&apos;
          or
          ../../../hd:Header/hd:MessageDetails/hd:Class = &apos;HMRC-PAYE-RTI-EYU-TIL&apos;" id="a_EYU.0" diagnostics="errorCode.EYU.0 transactional.EYU.0 transactional.en.EYU.0 ">Valid message classes for an Earlier Year Update are HMRC-PAYE-RTI-EYU and HMRC-PAYE-RTI-EYU-TIL.</sch:assert>
        <sch:assert test="eyu:Employee
            or
          eyu:CompressedPart" id="a_EYU.1" diagnostics="errorCode.EYU.1 transactional.EYU.1 transactional.en.EYU.1 ">At least one of [EMPLOYEE] or [COMPRESSEDPART] must be submitted</sch:assert>
      </sch:rule>
    </sch:pattern>
  <sch:diagnostics>
    <sch:diagnostic id="errorCode.r1005">5004</sch:diagnostic>
    <sch:diagnostic id="transactional.r1005">At least one key must exist in the IRheader</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.r1005">At least one key must exist in the IRheader</sch:diagnostic>
    <sch:diagnostic id="errorCode.r1004">5005</sch:diagnostic>
    <sch:diagnostic id="transactional.r1004">Keys in the GovTalkDetails do not match those in the IRheader.</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.r1004">Keys in the GovTalkDetails do not match those in the IRheader.</sch:diagnostic>
    <sch:diagnostic id="errorCode.EYU.0">7909</sch:diagnostic>
    <sch:diagnostic id="transactional.EYU.0">Valid message classes for an Earlier Year Update are HMRC-PAYE-RTI-EYU and HMRC-PAYE-RTI-EYU-TIL.</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.EYU.0">Valid message classes for an Earlier Year Update are HMRC-PAYE-RTI-EYU and HMRC-PAYE-RTI-EYU-TIL.</sch:diagnostic>
    <sch:diagnostic id="errorCode.EYU.1">7899</sch:diagnostic>
    <sch:diagnostic id="transactional.EYU.1">At least one of [EMPLOYEE] or [COMPRESSEDPART] must be submitted. Please check.</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.EYU.1">At least one of [EMPLOYEE] or [COMPRESSEDPART] must be submitted. Please check.</sch:diagnostic>
    <sch:diagnostic id="errorCode.HMRCOFFICENUMBER.0">7821</sch:diagnostic>
    <sch:diagnostic id="transactional.HMRCOFFICENUMBER.0">The TaxOfficeNumber key within the IRheader must match [HMRCOFFICENUMBER]</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.HMRCOFFICENUMBER.0">The TaxOfficeNumber key within the IRheader must match [HMRCOFFICENUMBER]</sch:diagnostic>
    <sch:diagnostic id="errorCode.EMPLOYERPAYEREF.0">7822</sch:diagnostic>
    <sch:diagnostic id="transactional.EMPLOYERPAYEREF.0">The TaxOfficeReference key within the IRheader must match [EMPLOYERPAYEREF]</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.EMPLOYERPAYEREF.0">The TaxOfficeReference key within the IRheader must match [EMPLOYERPAYEREF]</sch:diagnostic>
    <sch:diagnostic id="errorCode.RELATEDTAXYEAR.0">7889</sch:diagnostic>
    <sch:diagnostic id="transactional.RELATEDTAXYEAR.0">The Related tax year entered is invalid. Please check</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.RELATEDTAXYEAR.0">The Related tax year entered is invalid. Please check</sch:diagnostic>
    <sch:diagnostic id="errorCode.RELATEDTAXYEAR.2">7844</sch:diagnostic>
    <sch:diagnostic id="transactional.RELATEDTAXYEAR.2">The PeriodEnd within the IRheader must be within the same tax year as [RELATEDTAXYEAR].</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.RELATEDTAXYEAR.2">The PeriodEnd within the IRheader must be within the same tax year as [RELATEDTAXYEAR].</sch:diagnostic>
    <sch:diagnostic id="errorCode.PARTNERDETAILS.EYU.0">7901</sch:diagnostic>
    <sch:diagnostic id="transactional.PARTNERDETAILS.EYU.0">There is an entry in [PARTNERDETAILS]. This is only relevant if [SHAREDPARENTALPAY-EYU] is included in the submission. Please check</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.PARTNERDETAILS.EYU.0">There is an entry in [PARTNERDETAILS]. This is only relevant if [SHAREDPARENTALPAY-EYU] is included in the submission. Please check</sch:diagnostic>
    <sch:diagnostic id="errorCode.EMPLOYEE.EYU.1">7907</sch:diagnostic>
    <sch:diagnostic id="transactional.EMPLOYEE.EYU.1">There must be an entry in [DATEOFBIRTH] if there is no entry in [PAYMENTTOANONINDIVIDUAL]. Please check.</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.EMPLOYEE.EYU.1">There must be an entry in [DATEOFBIRTH] if there is no entry in [PAYMENTTOANONINDIVIDUAL]. Please check.</sch:diagnostic>
    <sch:diagnostic id="errorCode.ADDRESS.EYU.0">7932</sch:diagnostic>
    <sch:diagnostic id="transactional.ADDRESS.EYU.0">If [ADDRESS] is present then an entry in [ADDRESSLINE] or [POSTCODE] must be present. Please check.</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.ADDRESS.EYU.0">If [ADDRESS] is present then an entry in [ADDRESSLINE] or [POSTCODE] must be present. Please check.</sch:diagnostic>
    <sch:diagnostic id="errorCode.EMPLOYEE.0">7823</sch:diagnostic>
    <sch:diagnostic id="transactional.EMPLOYEE.0">There is no entry in [NINO]. Please complete at least two [ADDRESSLINE] </sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.EMPLOYEE.0">There is no entry in [NINO]. Please complete at least two [ADDRESSLINE] </sch:diagnostic>
    <sch:diagnostic id="errorCode.EMPLOYEE.1">7824</sch:diagnostic>
    <sch:diagnostic id="transactional.EMPLOYEE.1">There must be an entry in either [FORENAME] or [INITIALS]</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.EMPLOYEE.1">There must be an entry in either [FORENAME] or [INITIALS]</sch:diagnostic>
    <sch:diagnostic id="errorCode.FOREIGNCOUNTRY.0">7825</sch:diagnostic>
    <sch:diagnostic id="transactional.FOREIGNCOUNTRY.0">There is an entry in [FOREIGNCOUNTRY]. Please complete at least two [ADDRESSLINE] </sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.FOREIGNCOUNTRY.0">There is an entry in [FOREIGNCOUNTRY]. Please complete at least two [ADDRESSLINE] </sch:diagnostic>
    <sch:diagnostic id="errorCode.BirthDateType.1">5001</sch:diagnostic>
    <sch:diagnostic id="transactional.BirthDateType.1">The Date must be today or earlier. Please check</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.BirthDateType.1">The Date must be today or earlier. Please check</sch:diagnostic>
    <sch:diagnostic id="errorCode.DATEOFBIRTH.0">7826</sch:diagnostic>
    <sch:diagnostic id="transactional.DATEOFBIRTH.0">[DATEOFBIRTH] must be later than 130 years before today's date. Please check </sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.DATEOFBIRTH.0">[DATEOFBIRTH] must be later than 130 years before today's date. Please check </sch:diagnostic>
    <sch:diagnostic id="errorCode.SHPP.0">7846</sch:diagnostic>
    <sch:diagnostic id="transactional.SHPP.0">There must be an entry in [PARTNERFORENAME] or [PARTNERINITIALS] if [PARTNERDETAILS] is submitted. Please check</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SHPP.0">There must be an entry in [PARTNERFORENAME] or [PARTNERINITIALS] if [PARTNERDETAILS] is submitted. Please check</sch:diagnostic>
    <sch:diagnostic id="errorCode.EMPLOYMENT.EYU.0">7902</sch:diagnostic>
    <sch:diagnostic id="transactional.EMPLOYMENT.EYU.0">If [STARTDATE] is completed, at least one of [STARTINGDECLARATION], [INTENDTOSTAYOVER183DAYS], [INTENDTOSTAYLESSTHAN183DAYS], [INTENDTOWORKBOTHINANDOUTOFUK] must be present or [ANNUALAMOUNTOFPENSION] must be greater than zero. Please check</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.EMPLOYMENT.EYU.0">If [STARTDATE] is completed, at least one of [STARTINGDECLARATION], [INTENDTOSTAYOVER183DAYS], [INTENDTOSTAYLESSTHAN183DAYS], [INTENDTOWORKBOTHINANDOUTOFUK] must be present or [ANNUALAMOUNTOFPENSION] must be greater than zero. Please check</sch:diagnostic>
    <sch:diagnostic id="errorCode.STARTINGDECLARATION.EYU.0">7917</sch:diagnostic>
    <sch:diagnostic id="transactional.STARTINGDECLARATION.EYU.0">You cannot complete [STARTINGDECLARATION] if [ANNUALAMOUNTOFPENSION] is present.</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.STARTINGDECLARATION.EYU.0">You cannot complete [STARTINGDECLARATION] if [ANNUALAMOUNTOFPENSION] is present.</sch:diagnostic>
    <sch:diagnostic id="errorCode.STARTINGDECLARATION.EYU.1">7903</sch:diagnostic>
    <sch:diagnostic id="transactional.STARTINGDECLARATION.EYU.1">You cannot complete [STARTINGDECLARATION] as one of [INTENDTOSTAYOVER183DAYS], [INTENDTOSTAYLESSTHAN183DAYS] or [INTENDTOWORKBOTHINANDOUTOFUK] has been selected.</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.STARTINGDECLARATION.EYU.1">You cannot complete [STARTINGDECLARATION] as one of [INTENDTOSTAYOVER183DAYS], [INTENDTOSTAYLESSTHAN183DAYS] or [INTENDTOWORKBOTHINANDOUTOFUK] has been selected.</sch:diagnostic>
    <sch:diagnostic id="errorCode.STARTINGDECLARATION.EYU.2">7904</sch:diagnostic>
    <sch:diagnostic id="transactional.STARTINGDECLARATION.EYU.2">You must complete [STARTINGDECLARATION] if [STARTDATE] is present, unless there is an entry in any of [INTENDTOSTAYOVER183DAYS], [INTENDTOSTAYLESSTHAN183DAYS], [INTENDTOWORKBOTHINANDOUTOFUK], or [ANNUALAMOUNTOFPENSION]. Please check.</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.STARTINGDECLARATION.EYU.2">You must complete [STARTINGDECLARATION] if [STARTDATE] is present, unless there is an entry in any of [INTENDTOSTAYOVER183DAYS], [INTENDTOSTAYLESSTHAN183DAYS], [INTENDTOWORKBOTHINANDOUTOFUK], or [ANNUALAMOUNTOFPENSION]. Please check.</sch:diagnostic>
    <sch:diagnostic id="errorCode.STARTERINFORMATION.EYU.0">7934</sch:diagnostic>
    <sch:diagnostic id="transactional.STARTERINFORMATION.EYU.0">If [STARTERINFORMATION] is present then an entry in [STARTDATE], [STARTINGDECLARATION], [HASSTUDENTLOAN], [HASPOSTGRADUATELOAN], [INDIVIDUALSECONDEDTOWORKINUK] or [PENSIONSTART] should be present. Please check.</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.STARTERINFORMATION.EYU.0">If [STARTERINFORMATION] is present then an entry in [STARTDATE], [STARTINGDECLARATION], [HASSTUDENTLOAN], [HASPOSTGRADUATELOAN], [INDIVIDUALSECONDEDTOWORKINUK] or [PENSIONSTART] should be present. Please check.</sch:diagnostic>
    <sch:diagnostic id="errorCode.STARTDATE.0">7828</sch:diagnostic>
    <sch:diagnostic id="transactional.STARTDATE.0">The [STARTDATE] must be a date in the past or any date from today to 30 days in the future. Please check</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.STARTDATE.0">The [STARTDATE] must be a date in the past or any date from today to 30 days in the future. Please check</sch:diagnostic>
    <sch:diagnostic id="errorCode.STARTDATE.1">7829</sch:diagnostic>
    <sch:diagnostic id="transactional.STARTDATE.1">There is an entry in [STARTDATE]. Please complete at least two [ADDRESSLINE]s</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.STARTDATE.1">There is an entry in [STARTDATE]. Please complete at least two [ADDRESSLINE]s</sch:diagnostic>
    <sch:diagnostic id="errorCode.INDIVIDUALSECONDEDTOWORKINUK.0">7931</sch:diagnostic>
    <sch:diagnostic id="transactional.INDIVIDUALSECONDEDTOWORKINUK.0"> If [INDIVIDUALSECONDEDTOWORKINUK] is present, at least one of [INTENDTOSTAYOVER183DAYS], [INTENDTOSTAYLESSTHAN183DAYS], [INTENDTOWORKBOTHINANDOUTOFUK] or [EPM6SCHEME] must be present. Please check.</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.INDIVIDUALSECONDEDTOWORKINUK.0"> If [INDIVIDUALSECONDEDTOWORKINUK] is present, at least one of [INTENDTOSTAYOVER183DAYS], [INTENDTOSTAYLESSTHAN183DAYS], [INTENDTOWORKBOTHINANDOUTOFUK] or [EPM6SCHEME] must be present. Please check.</sch:diagnostic>
    <sch:diagnostic id="errorCode.EEACOMMONWEALTHCITIZEN.0">7884</sch:diagnostic>
    <sch:diagnostic id="transactional.EEACOMMONWEALTHCITIZEN.0">If [EEACITIZEN] is selected you must also select one of [INTENDTOSTAYLESSTHAN183DAYS],[INTENDTOSTAYOVER183DAYS] or [INTENDTOWORKBOTHINANDOUTOFUK]</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.EEACOMMONWEALTHCITIZEN.0">If [EEACITIZEN] is selected you must also select one of [INTENDTOSTAYLESSTHAN183DAYS],[INTENDTOSTAYOVER183DAYS] or [INTENDTOWORKBOTHINANDOUTOFUK]</sch:diagnostic>
    <sch:diagnostic id="errorCode.LEAVINGDATE.2">7831</sch:diagnostic>
    <sch:diagnostic id="transactional.LEAVINGDATE.2">The [LEAVINGDATE] cannot be a future date more than thirty days from today. Please check</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.LEAVINGDATE.2">The [LEAVINGDATE] cannot be a future date more than thirty days from today. Please check</sch:diagnostic>
    <sch:diagnostic id="errorCode.STATUTORYMATERNITYPAY-EYU.0">7886</sch:diagnostic>
    <sch:diagnostic id="transactional.STATUTORYMATERNITYPAY-EYU.0">There is an entry in [STATUTORYMATERNITYPAY-EYU]. This can only be present if [GENDER] equals F. Please check</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.STATUTORYMATERNITYPAY-EYU.0">There is an entry in [STATUTORYMATERNITYPAY-EYU]. This can only be present if [GENDER] equals F. Please check</sch:diagnostic>
    <sch:diagnostic id="errorCode.TRIVIALCOMMUTATIONPAYMENT.0">7885</sch:diagnostic>
    <sch:diagnostic id="transactional.TRIVIALCOMMUTATIONPAYMENT.0">[TRIVIALCOMMUTATIONPAYMENTTYPE] should be unique. Please check</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.TRIVIALCOMMUTATIONPAYMENT.0">[TRIVIALCOMMUTATIONPAYMENTTYPE] should be unique. Please check</sch:diagnostic>
    <sch:diagnostic id="errorCode.FLEXIBLEDRAWDOWN.0">7935</sch:diagnostic>
    <sch:diagnostic id="transactional.FLEXIBLEDRAWDOWN.0">If [FLEXIBLEDRAWDOWN] is present, there must be an entry in at least one of [FLEXIBLYACCESSINGPENSIONRIGHTS], [PENSIONDEATHBENEFIT] or [SERIOUSILLHEALTHSUM]. Please check.</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.FLEXIBLEDRAWDOWN.0">If [FLEXIBLEDRAWDOWN] is present, there must be an entry in at least one of [FLEXIBLYACCESSINGPENSIONRIGHTS], [PENSIONDEATHBENEFIT] or [SERIOUSILLHEALTHSUM]. Please check.</sch:diagnostic>
    <sch:diagnostic id="errorCode.FLEXIBLEDRAWDOWN.1">7936</sch:diagnostic>
    <sch:diagnostic id="transactional.FLEXIBLEDRAWDOWN.1">If [FLEXIBLEDRAWDOWN] is present, there must be an entry in at least one of [TAXABLEPAYMENT] or [NONTAXABLEPAYMENT]. Please check.</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.FLEXIBLEDRAWDOWN.1">If [FLEXIBLEDRAWDOWN] is present, there must be an entry in at least one of [TAXABLEPAYMENT] or [NONTAXABLEPAYMENT]. Please check.</sch:diagnostic>
    <sch:diagnostic id="errorCode.NILETTER-EYU.0">7849</sch:diagnostic>
    <sch:diagnostic id="transactional.NILETTER-EYU.0">The NI Letter cannot be B or T if [GENDER] is shown as male. Please check</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.NILETTER-EYU.0">The NI Letter cannot be B or T if [GENDER] is shown as male. Please check</sch:diagnostic>
    <sch:diagnostic id="errorCode.NILETTER-EYU.1">7888</sch:diagnostic>
    <sch:diagnostic id="transactional.NILETTER-EYU.1">The [NILETTER] must be unique within each occurrence of the [EMPLOYMENT] group. Please check</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.NILETTER-EYU.1">The [NILETTER] must be unique within each occurrence of the [EMPLOYMENT] group. Please check</sch:diagnostic>
    <sch:diagnostic id="errorCode.AT-LEL-EYU.0">7890</sch:diagnostic>
    <sch:diagnostic id="transactional.AT-LEL-EYU.0">The amount in [Earnings at LEL] must be 0.00 if the [NILETTER] is 'X'. Please check</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.AT-LEL-EYU.0">The amount in [Earnings at LEL] must be 0.00 if the [NILETTER] is 'X'. Please check</sch:diagnostic>
    <sch:diagnostic id="errorCode.LEL-TO-PT-EYU.1">7891</sch:diagnostic>
    <sch:diagnostic id="transactional.LEL-TO-PT-EYU.1">The amount in [Earnings above LEL to PT] must be 0.00 if the [NILETTER] is 'X'. Please check</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.LEL-TO-PT-EYU.1">The amount in [Earnings above LEL to PT] must be 0.00 if the [NILETTER] is 'X'. Please check</sch:diagnostic>
    <sch:diagnostic id="errorCode.PT-TO-UEL-EYU.1">7892</sch:diagnostic>
    <sch:diagnostic id="transactional.PT-TO-UEL-EYU.1">The amount in [Earnings above PT up to UEL] must be 0.00 if the [NILETTER] is 'X'. Please check</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.PT-TO-UEL-EYU.1">The amount in [Earnings above PT up to UEL] must be 0.00 if the [NILETTER] is 'X'. Please check</sch:diagnostic>
    <sch:diagnostic id="errorCode.TOTALEMPLOYERNICONTRIBUTIONS-EYU.1">7894</sch:diagnostic>
    <sch:diagnostic id="transactional.TOTALEMPLOYERNICONTRIBUTIONS-EYU.1">The amount in [TOTALEMPLOYERNICONTRIBUTIONS] must be 0.00 if the [NILETTER] is 'X'. Please check</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.TOTALEMPLOYERNICONTRIBUTIONS-EYU.1">The amount in [TOTALEMPLOYERNICONTRIBUTIONS] must be 0.00 if the [NILETTER] is 'X'. Please check</sch:diagnostic>
    <sch:diagnostic id="errorCode.EMPLOYEESCONTRIBUTIONSONALLEARNINGS-EYU.1">7895</sch:diagnostic>
    <sch:diagnostic id="transactional.EMPLOYEESCONTRIBUTIONSONALLEARNINGS-EYU.1">The amount in [EMPLOYEESCONTRIBUTIONSONALLEARNINGSYEARTODATE] must be 0.00 if the [NILETTER] is 'X', 'C', or 'W'. Please check</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.EMPLOYEESCONTRIBUTIONSONALLEARNINGS-EYU.1">The amount in [EMPLOYEESCONTRIBUTIONSONALLEARNINGSYEARTODATE] must be 0.00 if the [NILETTER] is 'X', 'C', or 'W'. Please check</sch:diagnostic>
    <sch:diagnostic id="errorCode.EMPLOYEESCONTRIBUTIONSONALLEARNINGS-EYU.0">7896</sch:diagnostic>
    <sch:diagnostic id="transactional.EMPLOYEESCONTRIBUTIONSONALLEARNINGS-EYU.0">The entry in [EMPLOYEESCONTRIBUTIONSONALLEARNINGSYEARTODATE] is less than 0, please complete [NICREFUND]</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.EMPLOYEESCONTRIBUTIONSONALLEARNINGS-EYU.0">The entry in [EMPLOYEESCONTRIBUTIONSONALLEARNINGSYEARTODATE] is less than 0, please complete [NICREFUND]</sch:diagnostic>
    <sch:diagnostic id="errorCode.NICREFUND.0">7897</sch:diagnostic>
    <sch:diagnostic id="transactional.NICREFUND.0">The entry in [EMPLOYEESCONTRIBUTIONSONALLEARNINGSYEARTODATE] is not less than 0, [NICREFUND] must be absent. Please check </sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.NICREFUND.0">The entry in [EMPLOYEESCONTRIBUTIONSONALLEARNINGSYEARTODATE] is not less than 0, [NICREFUND] must be absent. Please check </sch:diagnostic>
  </sch:diagnostics>
</sch:schema>
